I3-CONFIG-WIZARD(1)

NAME
i3-config-wizard - creates a keysym based config based on your layout

SYNOPSIS

i3-config-wizard

FILES

  /etc/i3/config.keycodes

This file contains the default configuration with keycodes. All the bindcode lines will be transformed to bindsym and the user-specified modifier will be used.

DESCRIPTION

i3-config-wizard is started by i3 in its default config, unless /.i3/config exists. i3-config-wizard creates a keysym based i3 config file (based on /etc/i3/config.keycodes) in /.i3/config.

The advantage of using keysyms is that the config file is easy to read, understand and modify. However, if we shipped with a keysym based default config file, the key positions would not be consistent across different keyboard layouts (take for example the homerow for movement). Therefore, we ship with a keycode based default config and let the wizard transform it according to your current keyboard layout.

SEE ALSO

i3(1)

AUTHOR

Michael Stapelberg and contributors